Package org.apache.tools.ant.taskdefs.optional.extension.resolvers

# Class URLResolver

java.lang.Object
org.apache.tools.ant.taskdefs.optional.extension.resolvers.URLResolver

All Implemented Interfaces:
  `ExtensionResolver`

    public class URLResolver
    extends java.lang.Object
    implements ExtensionResolver

Resolver that just returns s specified location.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `URLResolver()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.io.File` | `resolve​(Extension extension, Project project)` | Returns the file resolved from URL and directory
  `void` | `setDestdir​(java.io.File destdir)` | Sets the destination directory
  `void` | `setDestfile​(java.io.File destfile)` | Sets the destination file
  `void` | `setUrl​(java.net.URL url)` | Sets the URL
  `java.lang.String` | `toString()` | Returns a string representation of the URL

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### URLResolver

    public URLResolver()

- ## Method Details

  - ### setUrl

    public void setUrl​(java.net.URL url)
    Sets the URL
    Parameters:
      `url` - the url

  - ### setDestfile

    public void setDestfile​(java.io.File destfile)
    Sets the destination file
    Parameters:
      `destfile` - the destination file

  - ### setDestdir

    public void setDestdir​(java.io.File destdir)
    Sets the destination directory
    Parameters:
      `destdir` - the destination directory

  - ### resolve

    public java.io.File resolve​(Extension extension, Project project) throws BuildException
    Returns the file resolved from URL and directory
    Specified by:
      `resolve` in interface `ExtensionResolver`
    Parameters:
      `extension` - the extension
      `project` - the project
    Returns:
      file the file resolved
    Throws:
      `BuildException` - if the URL is invalid

  - ### toString

    public java.lang.String toString()
    Returns a string representation of the URL
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      the string representation